[arch-commits] Commit in perl-net-smtp-ssl/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Nov 9 21:35:42 UTC 2018


    Date: Friday, November 9, 2018 @ 21:35:42
  Author: felixonmars
Revision: 404694

archrelease: copy trunk to community-staging-any

Added:
  perl-net-smtp-ssl/repos/community-staging-any/
  perl-net-smtp-ssl/repos/community-staging-any/PKGBUILD
    (from rev 404693, perl-net-smtp-ssl/trunk/PKGBUILD)

----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

Copied: perl-net-smtp-ssl/repos/community-staging-any/PKGBUILD (from rev 404693, perl-net-smtp-ssl/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2018-11-09 21:35:42 UTC (rev 404694)
@@ -0,0 +1,26 @@
+# Maintainer: Chris Brannon <cmbrannon79 at gmail.com>
+# Contributor: Abhishek Dasgupta <abhidg at gmail.com>
+
+pkgname=perl-net-smtp-ssl
+pkgver=1.04
+pkgrel=3
+pkgdesc="SSL support for Net::SMTP"
+arch=(any)
+url="http://search.cpan.org/dist/Net-SMTP-SSL/"
+license=('GPL' 'PerlArtistic')
+depends=('perl-io-socket-ssl')
+options=(!emptydirs)
+source=("http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Net-SMTP-SSL-$pkgver.tar.gz")
+sha256sums=('7b29c45add19d3d5084b751f7ba89a8e40479a446ce21cfd9cc741e558332a00')
+
+package() {
+  cd "${srcdir}/Net-SMTP-SSL-${pkgver}"
+  # Install module into the vendor directories.
+  perl Makefile.PL INSTALLDIRS=vendor
+  make
+  make DESTDIR="$pkgdir" install || return 1
+
+  # Remove .packlist and perllocal.pod files.
+  find "$pkgdir" -name '.packlist' -delete
+  find "$pkgdir" -name 'perllocal.pod' -delete
+}


More information about the arch-commits mailing list